# Copyright (c) 2024 Justin Davis (davisjustin302@gmail.com)
#
# MIT License
# =============================================================================
# This file is auto-generated by scripts/compile_models.py
# =============================================================================

"""
Module for getting all versions (# compiled shaves) of each operation.

Note:
----
This module is auto-generated

Attributes:
----------
GFTTBLURGRAY_11X11 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_11x11 operation.
GFTTBLURGRAY_13X13 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_13x13 operation.
GFTTBLURGRAY_15X15 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_15x15 operation.
GFTTBLURGRAY_3X3 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_3x3 operation.
GFTTBLURGRAY_5X5 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_5x5 operation.
GFTTBLURGRAY_7X7 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_7x7 operation.
GFTTBLURGRAY_9X9 : tuple[Path, ...]
    tuple of all wrappers for gfttblurgray_9x9 operation.
GFTTBLUR_11X11 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_11x11 operation.
GFTTBLUR_13X13 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_13x13 operation.
GFTTBLUR_15X15 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_15x15 operation.
GFTTBLUR_3X3 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_3x3 operation.
GFTTBLUR_5X5 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_5x5 operation.
GFTTBLUR_7X7 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_7x7 operation.
GFTTBLUR_9X9 : tuple[Path, ...]
    tuple of all wrappers for gfttblur_9x9 operation.
GFTTGRAY : tuple[Path, ...]
    tuple of all wrappers for gfttgray operation.
GFTT : tuple[Path, ...]
    tuple of all wrappers for gftt operation.
GAUSSIANGRAY_11X11 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_11x11 operation.
GAUSSIANGRAY_13X13 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_13x13 operation.
GAUSSIANGRAY_15X15 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_15x15 operation.
GAUSSIANGRAY_3X3 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_3x3 operation.
GAUSSIANGRAY_5X5 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_5x5 operation.
GAUSSIANGRAY_7X7 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_7x7 operation.
GAUSSIANGRAY_9X9 : tuple[Path, ...]
    tuple of all wrappers for gaussiangray_9x9 operation.
GAUSSIAN_11X11 : tuple[Path, ...]
    tuple of all wrappers for gaussian_11x11 operation.
GAUSSIAN_13X13 : tuple[Path, ...]
    tuple of all wrappers for gaussian_13x13 operation.
GAUSSIAN_15X15 : tuple[Path, ...]
    tuple of all wrappers for gaussian_15x15 operation.
GAUSSIAN_3X3 : tuple[Path, ...]
    tuple of all wrappers for gaussian_3x3 operation.
GAUSSIAN_5X5 : tuple[Path, ...]
    tuple of all wrappers for gaussian_5x5 operation.
GAUSSIAN_7X7 : tuple[Path, ...]
    tuple of all wrappers for gaussian_7x7 operation.
GAUSSIAN_9X9 : tuple[Path, ...]
    tuple of all wrappers for gaussian_9x9 operation.
HARRISBLURGRAY_11X11 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_11x11 operation.
HARRISBLURGRAY_13X13 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_13x13 operation.
HARRISBLURGRAY_15X15 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_15x15 operation.
HARRISBLURGRAY_3X3 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_3x3 operation.
HARRISBLURGRAY_5X5 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_5x5 operation.
HARRISBLURGRAY_7X7 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_7x7 operation.
HARRISBLURGRAY_9X9 : tuple[Path, ...]
    tuple of all wrappers for harrisblurgray_9x9 operation.
HARRISBLUR_11X11 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_11x11 operation.
HARRISBLUR_13X13 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_13x13 operation.
HARRISBLUR_15X15 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_15x15 operation.
HARRISBLUR_3X3 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_3x3 operation.
HARRISBLUR_5X5 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_5x5 operation.
HARRISBLUR_7X7 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_7x7 operation.
HARRISBLUR_9X9 : tuple[Path, ...]
    tuple of all wrappers for harrisblur_9x9 operation.
HARRISGRAY : tuple[Path, ...]
    tuple of all wrappers for harrisgray operation.
HARRIS : tuple[Path, ...]
    tuple of all wrappers for harris operation.
HESSIANBLURGRAY_11X11 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_11x11 operation.
HESSIANBLURGRAY_13X13 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_13x13 operation.
HESSIANBLURGRAY_15X15 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_15x15 operation.
HESSIANBLURGRAY_3X3 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_3x3 operation.
HESSIANBLURGRAY_5X5 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_5x5 operation.
HESSIANBLURGRAY_7X7 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_7x7 operation.
HESSIANBLURGRAY_9X9 : tuple[Path, ...]
    tuple of all wrappers for hessianblurgray_9x9 operation.
HESSIANBLUR_11X11 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_11x11 operation.
HESSIANBLUR_13X13 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_13x13 operation.
HESSIANBLUR_15X15 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_15x15 operation.
HESSIANBLUR_3X3 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_3x3 operation.
HESSIANBLUR_5X5 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_5x5 operation.
HESSIANBLUR_7X7 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_7x7 operation.
HESSIANBLUR_9X9 : tuple[Path, ...]
    tuple of all wrappers for hessianblur_9x9 operation.
HESSIANGRAY : tuple[Path, ...]
    tuple of all wrappers for hessiangray operation.
HESSIAN : tuple[Path, ...]
    tuple of all wrappers for hessian operation.
LAPLACIANBLURGRAY_11X11_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_11x11 operation.
LAPLACIANBLURGRAY_11X11_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_13x13 operation.
LAPLACIANBLURGRAY_11X11_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_15x15 operation.
LAPLACIANBLURGRAY_11X11_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_3x3 operation.
LAPLACIANBLURGRAY_11X11_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_5x5 operation.
LAPLACIANBLURGRAY_11X11_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_7x7 operation.
LAPLACIANBLURGRAY_11X11_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_11x11_9x9 operation.
LAPLACIANBLURGRAY_13X13_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_11x11 operation.
LAPLACIANBLURGRAY_13X13_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_13x13 operation.
LAPLACIANBLURGRAY_13X13_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_15x15 operation.
LAPLACIANBLURGRAY_13X13_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_3x3 operation.
LAPLACIANBLURGRAY_13X13_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_5x5 operation.
LAPLACIANBLURGRAY_13X13_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_7x7 operation.
LAPLACIANBLURGRAY_13X13_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_13x13_9x9 operation.
LAPLACIANBLURGRAY_15X15_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_11x11 operation.
LAPLACIANBLURGRAY_15X15_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_13x13 operation.
LAPLACIANBLURGRAY_15X15_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_15x15 operation.
LAPLACIANBLURGRAY_15X15_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_3x3 operation.
LAPLACIANBLURGRAY_15X15_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_5x5 operation.
LAPLACIANBLURGRAY_15X15_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_7x7 operation.
LAPLACIANBLURGRAY_15X15_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_15x15_9x9 operation.
LAPLACIANBLURGRAY_3X3_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_11x11 operation.
LAPLACIANBLURGRAY_3X3_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_13x13 operation.
LAPLACIANBLURGRAY_3X3_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_15x15 operation.
LAPLACIANBLURGRAY_3X3_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_3x3 operation.
LAPLACIANBLURGRAY_3X3_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_5x5 operation.
LAPLACIANBLURGRAY_3X3_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_7x7 operation.
LAPLACIANBLURGRAY_3X3_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_3x3_9x9 operation.
LAPLACIANBLURGRAY_5X5_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_11x11 operation.
LAPLACIANBLURGRAY_5X5_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_13x13 operation.
LAPLACIANBLURGRAY_5X5_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_15x15 operation.
LAPLACIANBLURGRAY_5X5_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_3x3 operation.
LAPLACIANBLURGRAY_5X5_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_5x5 operation.
LAPLACIANBLURGRAY_5X5_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_7x7 operation.
LAPLACIANBLURGRAY_5X5_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_5x5_9x9 operation.
LAPLACIANBLURGRAY_7X7_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_11x11 operation.
LAPLACIANBLURGRAY_7X7_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_13x13 operation.
LAPLACIANBLURGRAY_7X7_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_15x15 operation.
LAPLACIANBLURGRAY_7X7_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_3x3 operation.
LAPLACIANBLURGRAY_7X7_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_5x5 operation.
LAPLACIANBLURGRAY_7X7_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_7x7 operation.
LAPLACIANBLURGRAY_7X7_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_7x7_9x9 operation.
LAPLACIANBLURGRAY_9X9_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_11x11 operation.
LAPLACIANBLURGRAY_9X9_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_13x13 operation.
LAPLACIANBLURGRAY_9X9_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_15x15 operation.
LAPLACIANBLURGRAY_9X9_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_3x3 operation.
LAPLACIANBLURGRAY_9X9_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_5x5 operation.
LAPLACIANBLURGRAY_9X9_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_7x7 operation.
LAPLACIANBLURGRAY_9X9_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblurgray_9x9_9x9 operation.
LAPLACIANBLUR_11X11_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_11x11 operation.
LAPLACIANBLUR_11X11_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_13x13 operation.
LAPLACIANBLUR_11X11_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_15x15 operation.
LAPLACIANBLUR_11X11_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_3x3 operation.
LAPLACIANBLUR_11X11_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_5x5 operation.
LAPLACIANBLUR_11X11_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_7x7 operation.
LAPLACIANBLUR_11X11_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_11x11_9x9 operation.
LAPLACIANBLUR_13X13_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_11x11 operation.
LAPLACIANBLUR_13X13_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_13x13 operation.
LAPLACIANBLUR_13X13_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_15x15 operation.
LAPLACIANBLUR_13X13_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_3x3 operation.
LAPLACIANBLUR_13X13_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_5x5 operation.
LAPLACIANBLUR_13X13_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_7x7 operation.
LAPLACIANBLUR_13X13_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_13x13_9x9 operation.
LAPLACIANBLUR_15X15_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_11x11 operation.
LAPLACIANBLUR_15X15_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_13x13 operation.
LAPLACIANBLUR_15X15_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_15x15 operation.
LAPLACIANBLUR_15X15_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_3x3 operation.
LAPLACIANBLUR_15X15_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_5x5 operation.
LAPLACIANBLUR_15X15_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_7x7 operation.
LAPLACIANBLUR_15X15_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_15x15_9x9 operation.
LAPLACIANBLUR_3X3_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_11x11 operation.
LAPLACIANBLUR_3X3_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_13x13 operation.
LAPLACIANBLUR_3X3_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_15x15 operation.
LAPLACIANBLUR_3X3_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_3x3 operation.
LAPLACIANBLUR_3X3_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_5x5 operation.
LAPLACIANBLUR_3X3_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_7x7 operation.
LAPLACIANBLUR_3X3_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_3x3_9x9 operation.
LAPLACIANBLUR_5X5_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_11x11 operation.
LAPLACIANBLUR_5X5_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_13x13 operation.
LAPLACIANBLUR_5X5_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_15x15 operation.
LAPLACIANBLUR_5X5_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_3x3 operation.
LAPLACIANBLUR_5X5_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_5x5 operation.
LAPLACIANBLUR_5X5_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_7x7 operation.
LAPLACIANBLUR_5X5_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_5x5_9x9 operation.
LAPLACIANBLUR_7X7_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_11x11 operation.
LAPLACIANBLUR_7X7_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_13x13 operation.
LAPLACIANBLUR_7X7_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_15x15 operation.
LAPLACIANBLUR_7X7_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_3x3 operation.
LAPLACIANBLUR_7X7_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_5x5 operation.
LAPLACIANBLUR_7X7_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_7x7 operation.
LAPLACIANBLUR_7X7_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_7x7_9x9 operation.
LAPLACIANBLUR_9X9_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_11x11 operation.
LAPLACIANBLUR_9X9_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_13x13 operation.
LAPLACIANBLUR_9X9_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_15x15 operation.
LAPLACIANBLUR_9X9_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_3x3 operation.
LAPLACIANBLUR_9X9_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_5x5 operation.
LAPLACIANBLUR_9X9_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_7x7 operation.
LAPLACIANBLUR_9X9_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacianblur_9x9_9x9 operation.
LAPLACIANGRAY_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_11x11 operation.
LAPLACIANGRAY_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_13x13 operation.
LAPLACIANGRAY_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_15x15 operation.
LAPLACIANGRAY_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_3x3 operation.
LAPLACIANGRAY_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_5x5 operation.
LAPLACIANGRAY_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_7x7 operation.
LAPLACIANGRAY_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplaciangray_9x9 operation.
LAPLACIAN_11X11 : tuple[Path, ...]
    tuple of all wrappers for laplacian_11x11 operation.
LAPLACIAN_13X13 : tuple[Path, ...]
    tuple of all wrappers for laplacian_13x13 operation.
LAPLACIAN_15X15 : tuple[Path, ...]
    tuple of all wrappers for laplacian_15x15 operation.
LAPLACIAN_3X3 : tuple[Path, ...]
    tuple of all wrappers for laplacian_3x3 operation.
LAPLACIAN_5X5 : tuple[Path, ...]
    tuple of all wrappers for laplacian_5x5 operation.
LAPLACIAN_7X7 : tuple[Path, ...]
    tuple of all wrappers for laplacian_7x7 operation.
LAPLACIAN_9X9 : tuple[Path, ...]
    tuple of all wrappers for laplacian_9x9 operation.
LASERSCAN_10_1 : tuple[Path, ...]
    tuple of all wrappers for laserscan_10_1 operation.
LASERSCAN_10_3 : tuple[Path, ...]
    tuple of all wrappers for laserscan_10_3 operation.
LASERSCAN_10_5 : tuple[Path, ...]
    tuple of all wrappers for laserscan_10_5 operation.
LASERSCAN_20_1 : tuple[Path, ...]
    tuple of all wrappers for laserscan_20_1 operation.
LASERSCAN_20_3 : tuple[Path, ...]
    tuple of all wrappers for laserscan_20_3 operation.
LASERSCAN_20_5 : tuple[Path, ...]
    tuple of all wrappers for laserscan_20_5 operation.
LASERSCAN_5_1 : tuple[Path, ...]
    tuple of all wrappers for laserscan_5_1 operation.
LASERSCAN_5_3 : tuple[Path, ...]
    tuple of all wrappers for laserscan_5_3 operation.
LASERSCAN_5_5 : tuple[Path, ...]
    tuple of all wrappers for laserscan_5_5 operation.
POINTCLOUD : tuple[Path, ...]
    tuple of all wrappers for pointcloud operation.
SOBELBLURGRAY_11X11 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_11x11 operation.
SOBELBLURGRAY_13X13 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_13x13 operation.
SOBELBLURGRAY_15X15 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_15x15 operation.
SOBELBLURGRAY_3X3 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_3x3 operation.
SOBELBLURGRAY_5X5 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_5x5 operation.
SOBELBLURGRAY_7X7 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_7x7 operation.
SOBELBLURGRAY_9X9 : tuple[Path, ...]
    tuple of all wrappers for sobelblurgray_9x9 operation.
SOBELBLUR_11X11 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_11x11 operation.
SOBELBLUR_13X13 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_13x13 operation.
SOBELBLUR_15X15 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_15x15 operation.
SOBELBLUR_3X3 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_3x3 operation.
SOBELBLUR_5X5 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_5x5 operation.
SOBELBLUR_7X7 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_7x7 operation.
SOBELBLUR_9X9 : tuple[Path, ...]
    tuple of all wrappers for sobelblur_9x9 operation.
SOBELGRAY : tuple[Path, ...]
    tuple of all wrappers for sobelgray operation.
SOBEL : tuple[Path, ...]
    tuple of all wrappers for sobel operation.
ALL_MODELS : list[tuple[Path, ...]]
    list of all wrappers for each operation.

"""

from __future__ import annotations

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from pathlib import Path

from . import shave1, shave2, shave3, shave4, shave5, shave6

GFTTBLURGRAY_11X11: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_11X11,
    shave2.GFTTBLURGRAY_11X11,
    shave3.GFTTBLURGRAY_11X11,
    shave4.GFTTBLURGRAY_11X11,
    shave5.GFTTBLURGRAY_11X11,
    shave6.GFTTBLURGRAY_11X11,
)

GFTTBLURGRAY_13X13: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_13X13,
    shave2.GFTTBLURGRAY_13X13,
    shave3.GFTTBLURGRAY_13X13,
    shave4.GFTTBLURGRAY_13X13,
    shave5.GFTTBLURGRAY_13X13,
    shave6.GFTTBLURGRAY_13X13,
)

GFTTBLURGRAY_15X15: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_15X15,
    shave2.GFTTBLURGRAY_15X15,
    shave3.GFTTBLURGRAY_15X15,
    shave4.GFTTBLURGRAY_15X15,
    shave5.GFTTBLURGRAY_15X15,
    shave6.GFTTBLURGRAY_15X15,
)

GFTTBLURGRAY_3X3: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_3X3,
    shave2.GFTTBLURGRAY_3X3,
    shave3.GFTTBLURGRAY_3X3,
    shave4.GFTTBLURGRAY_3X3,
    shave5.GFTTBLURGRAY_3X3,
    shave6.GFTTBLURGRAY_3X3,
)

GFTTBLURGRAY_5X5: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_5X5,
    shave2.GFTTBLURGRAY_5X5,
    shave3.GFTTBLURGRAY_5X5,
    shave4.GFTTBLURGRAY_5X5,
    shave5.GFTTBLURGRAY_5X5,
    shave6.GFTTBLURGRAY_5X5,
)

GFTTBLURGRAY_7X7: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_7X7,
    shave2.GFTTBLURGRAY_7X7,
    shave3.GFTTBLURGRAY_7X7,
    shave4.GFTTBLURGRAY_7X7,
    shave5.GFTTBLURGRAY_7X7,
    shave6.GFTTBLURGRAY_7X7,
)

GFTTBLURGRAY_9X9: tuple[Path, ...] = (
    shave1.GFTTBLURGRAY_9X9,
    shave2.GFTTBLURGRAY_9X9,
    shave3.GFTTBLURGRAY_9X9,
    shave4.GFTTBLURGRAY_9X9,
    shave5.GFTTBLURGRAY_9X9,
    shave6.GFTTBLURGRAY_9X9,
)

GFTTBLUR_11X11: tuple[Path, ...] = (
    shave1.GFTTBLUR_11X11,
    shave2.GFTTBLUR_11X11,
    shave3.GFTTBLUR_11X11,
    shave4.GFTTBLUR_11X11,
    shave5.GFTTBLUR_11X11,
    shave6.GFTTBLUR_11X11,
)

GFTTBLUR_13X13: tuple[Path, ...] = (
    shave1.GFTTBLUR_13X13,
    shave2.GFTTBLUR_13X13,
    shave3.GFTTBLUR_13X13,
    shave4.GFTTBLUR_13X13,
    shave5.GFTTBLUR_13X13,
    shave6.GFTTBLUR_13X13,
)

GFTTBLUR_15X15: tuple[Path, ...] = (
    shave1.GFTTBLUR_15X15,
    shave2.GFTTBLUR_15X15,
    shave3.GFTTBLUR_15X15,
    shave4.GFTTBLUR_15X15,
    shave5.GFTTBLUR_15X15,
    shave6.GFTTBLUR_15X15,
)

GFTTBLUR_3X3: tuple[Path, ...] = (
    shave1.GFTTBLUR_3X3,
    shave2.GFTTBLUR_3X3,
    shave3.GFTTBLUR_3X3,
    shave4.GFTTBLUR_3X3,
    shave5.GFTTBLUR_3X3,
    shave6.GFTTBLUR_3X3,
)

GFTTBLUR_5X5: tuple[Path, ...] = (
    shave1.GFTTBLUR_5X5,
    shave2.GFTTBLUR_5X5,
    shave3.GFTTBLUR_5X5,
    shave4.GFTTBLUR_5X5,
    shave5.GFTTBLUR_5X5,
    shave6.GFTTBLUR_5X5,
)

GFTTBLUR_7X7: tuple[Path, ...] = (
    shave1.GFTTBLUR_7X7,
    shave2.GFTTBLUR_7X7,
    shave3.GFTTBLUR_7X7,
    shave4.GFTTBLUR_7X7,
    shave5.GFTTBLUR_7X7,
    shave6.GFTTBLUR_7X7,
)

GFTTBLUR_9X9: tuple[Path, ...] = (
    shave1.GFTTBLUR_9X9,
    shave2.GFTTBLUR_9X9,
    shave3.GFTTBLUR_9X9,
    shave4.GFTTBLUR_9X9,
    shave5.GFTTBLUR_9X9,
    shave6.GFTTBLUR_9X9,
)

GFTTGRAY: tuple[Path, ...] = (
    shave1.GFTTGRAY,
    shave2.GFTTGRAY,
    shave3.GFTTGRAY,
    shave4.GFTTGRAY,
    shave5.GFTTGRAY,
    shave6.GFTTGRAY,
)

GFTT: tuple[Path, ...] = (
    shave1.GFTT,
    shave2.GFTT,
    shave3.GFTT,
    shave4.GFTT,
    shave5.GFTT,
    shave6.GFTT,
)

GAUSSIANGRAY_11X11: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_11X11,
    shave2.GAUSSIANGRAY_11X11,
    shave3.GAUSSIANGRAY_11X11,
    shave4.GAUSSIANGRAY_11X11,
    shave5.GAUSSIANGRAY_11X11,
    shave6.GAUSSIANGRAY_11X11,
)

GAUSSIANGRAY_13X13: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_13X13,
    shave2.GAUSSIANGRAY_13X13,
    shave3.GAUSSIANGRAY_13X13,
    shave4.GAUSSIANGRAY_13X13,
    shave5.GAUSSIANGRAY_13X13,
    shave6.GAUSSIANGRAY_13X13,
)

GAUSSIANGRAY_15X15: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_15X15,
    shave2.GAUSSIANGRAY_15X15,
    shave3.GAUSSIANGRAY_15X15,
    shave4.GAUSSIANGRAY_15X15,
    shave5.GAUSSIANGRAY_15X15,
    shave6.GAUSSIANGRAY_15X15,
)

GAUSSIANGRAY_3X3: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_3X3,
    shave2.GAUSSIANGRAY_3X3,
    shave3.GAUSSIANGRAY_3X3,
    shave4.GAUSSIANGRAY_3X3,
    shave5.GAUSSIANGRAY_3X3,
    shave6.GAUSSIANGRAY_3X3,
)

GAUSSIANGRAY_5X5: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_5X5,
    shave2.GAUSSIANGRAY_5X5,
    shave3.GAUSSIANGRAY_5X5,
    shave4.GAUSSIANGRAY_5X5,
    shave5.GAUSSIANGRAY_5X5,
    shave6.GAUSSIANGRAY_5X5,
)

GAUSSIANGRAY_7X7: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_7X7,
    shave2.GAUSSIANGRAY_7X7,
    shave3.GAUSSIANGRAY_7X7,
    shave4.GAUSSIANGRAY_7X7,
    shave5.GAUSSIANGRAY_7X7,
    shave6.GAUSSIANGRAY_7X7,
)

GAUSSIANGRAY_9X9: tuple[Path, ...] = (
    shave1.GAUSSIANGRAY_9X9,
    shave2.GAUSSIANGRAY_9X9,
    shave3.GAUSSIANGRAY_9X9,
    shave4.GAUSSIANGRAY_9X9,
    shave5.GAUSSIANGRAY_9X9,
    shave6.GAUSSIANGRAY_9X9,
)

GAUSSIAN_11X11: tuple[Path, ...] = (
    shave1.GAUSSIAN_11X11,
    shave2.GAUSSIAN_11X11,
    shave3.GAUSSIAN_11X11,
    shave4.GAUSSIAN_11X11,
    shave5.GAUSSIAN_11X11,
    shave6.GAUSSIAN_11X11,
)

GAUSSIAN_13X13: tuple[Path, ...] = (
    shave1.GAUSSIAN_13X13,
    shave2.GAUSSIAN_13X13,
    shave3.GAUSSIAN_13X13,
    shave4.GAUSSIAN_13X13,
    shave5.GAUSSIAN_13X13,
    shave6.GAUSSIAN_13X13,
)

GAUSSIAN_15X15: tuple[Path, ...] = (
    shave1.GAUSSIAN_15X15,
    shave2.GAUSSIAN_15X15,
    shave3.GAUSSIAN_15X15,
    shave4.GAUSSIAN_15X15,
    shave5.GAUSSIAN_15X15,
    shave6.GAUSSIAN_15X15,
)

GAUSSIAN_3X3: tuple[Path, ...] = (
    shave1.GAUSSIAN_3X3,
    shave2.GAUSSIAN_3X3,
    shave3.GAUSSIAN_3X3,
    shave4.GAUSSIAN_3X3,
    shave5.GAUSSIAN_3X3,
    shave6.GAUSSIAN_3X3,
)

GAUSSIAN_5X5: tuple[Path, ...] = (
    shave1.GAUSSIAN_5X5,
    shave2.GAUSSIAN_5X5,
    shave3.GAUSSIAN_5X5,
    shave4.GAUSSIAN_5X5,
    shave5.GAUSSIAN_5X5,
    shave6.GAUSSIAN_5X5,
)

GAUSSIAN_7X7: tuple[Path, ...] = (
    shave1.GAUSSIAN_7X7,
    shave2.GAUSSIAN_7X7,
    shave3.GAUSSIAN_7X7,
    shave4.GAUSSIAN_7X7,
    shave5.GAUSSIAN_7X7,
    shave6.GAUSSIAN_7X7,
)

GAUSSIAN_9X9: tuple[Path, ...] = (
    shave1.GAUSSIAN_9X9,
    shave2.GAUSSIAN_9X9,
    shave3.GAUSSIAN_9X9,
    shave4.GAUSSIAN_9X9,
    shave5.GAUSSIAN_9X9,
    shave6.GAUSSIAN_9X9,
)

HARRISBLURGRAY_11X11: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_11X11,
    shave2.HARRISBLURGRAY_11X11,
    shave3.HARRISBLURGRAY_11X11,
    shave4.HARRISBLURGRAY_11X11,
    shave5.HARRISBLURGRAY_11X11,
    shave6.HARRISBLURGRAY_11X11,
)

HARRISBLURGRAY_13X13: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_13X13,
    shave2.HARRISBLURGRAY_13X13,
    shave3.HARRISBLURGRAY_13X13,
    shave4.HARRISBLURGRAY_13X13,
    shave5.HARRISBLURGRAY_13X13,
    shave6.HARRISBLURGRAY_13X13,
)

HARRISBLURGRAY_15X15: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_15X15,
    shave2.HARRISBLURGRAY_15X15,
    shave3.HARRISBLURGRAY_15X15,
    shave4.HARRISBLURGRAY_15X15,
    shave5.HARRISBLURGRAY_15X15,
    shave6.HARRISBLURGRAY_15X15,
)

HARRISBLURGRAY_3X3: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_3X3,
    shave2.HARRISBLURGRAY_3X3,
    shave3.HARRISBLURGRAY_3X3,
    shave4.HARRISBLURGRAY_3X3,
    shave5.HARRISBLURGRAY_3X3,
    shave6.HARRISBLURGRAY_3X3,
)

HARRISBLURGRAY_5X5: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_5X5,
    shave2.HARRISBLURGRAY_5X5,
    shave3.HARRISBLURGRAY_5X5,
    shave4.HARRISBLURGRAY_5X5,
    shave5.HARRISBLURGRAY_5X5,
    shave6.HARRISBLURGRAY_5X5,
)

HARRISBLURGRAY_7X7: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_7X7,
    shave2.HARRISBLURGRAY_7X7,
    shave3.HARRISBLURGRAY_7X7,
    shave4.HARRISBLURGRAY_7X7,
    shave5.HARRISBLURGRAY_7X7,
    shave6.HARRISBLURGRAY_7X7,
)

HARRISBLURGRAY_9X9: tuple[Path, ...] = (
    shave1.HARRISBLURGRAY_9X9,
    shave2.HARRISBLURGRAY_9X9,
    shave3.HARRISBLURGRAY_9X9,
    shave4.HARRISBLURGRAY_9X9,
    shave5.HARRISBLURGRAY_9X9,
    shave6.HARRISBLURGRAY_9X9,
)

HARRISBLUR_11X11: tuple[Path, ...] = (
    shave1.HARRISBLUR_11X11,
    shave2.HARRISBLUR_11X11,
    shave3.HARRISBLUR_11X11,
    shave4.HARRISBLUR_11X11,
    shave5.HARRISBLUR_11X11,
    shave6.HARRISBLUR_11X11,
)

HARRISBLUR_13X13: tuple[Path, ...] = (
    shave1.HARRISBLUR_13X13,
    shave2.HARRISBLUR_13X13,
    shave3.HARRISBLUR_13X13,
    shave4.HARRISBLUR_13X13,
    shave5.HARRISBLUR_13X13,
    shave6.HARRISBLUR_13X13,
)

HARRISBLUR_15X15: tuple[Path, ...] = (
    shave1.HARRISBLUR_15X15,
    shave2.HARRISBLUR_15X15,
    shave3.HARRISBLUR_15X15,
    shave4.HARRISBLUR_15X15,
    shave5.HARRISBLUR_15X15,
    shave6.HARRISBLUR_15X15,
)

HARRISBLUR_3X3: tuple[Path, ...] = (
    shave1.HARRISBLUR_3X3,
    shave2.HARRISBLUR_3X3,
    shave3.HARRISBLUR_3X3,
    shave4.HARRISBLUR_3X3,
    shave5.HARRISBLUR_3X3,
    shave6.HARRISBLUR_3X3,
)

HARRISBLUR_5X5: tuple[Path, ...] = (
    shave1.HARRISBLUR_5X5,
    shave2.HARRISBLUR_5X5,
    shave3.HARRISBLUR_5X5,
    shave4.HARRISBLUR_5X5,
    shave5.HARRISBLUR_5X5,
    shave6.HARRISBLUR_5X5,
)

HARRISBLUR_7X7: tuple[Path, ...] = (
    shave1.HARRISBLUR_7X7,
    shave2.HARRISBLUR_7X7,
    shave3.HARRISBLUR_7X7,
    shave4.HARRISBLUR_7X7,
    shave5.HARRISBLUR_7X7,
    shave6.HARRISBLUR_7X7,
)

HARRISBLUR_9X9: tuple[Path, ...] = (
    shave1.HARRISBLUR_9X9,
    shave2.HARRISBLUR_9X9,
    shave3.HARRISBLUR_9X9,
    shave4.HARRISBLUR_9X9,
    shave5.HARRISBLUR_9X9,
    shave6.HARRISBLUR_9X9,
)

HARRISGRAY: tuple[Path, ...] = (
    shave1.HARRISGRAY,
    shave2.HARRISGRAY,
    shave3.HARRISGRAY,
    shave4.HARRISGRAY,
    shave5.HARRISGRAY,
    shave6.HARRISGRAY,
)

HARRIS: tuple[Path, ...] = (
    shave1.HARRIS,
    shave2.HARRIS,
    shave3.HARRIS,
    shave4.HARRIS,
    shave5.HARRIS,
    shave6.HARRIS,
)

HESSIANBLURGRAY_11X11: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_11X11,
    shave2.HESSIANBLURGRAY_11X11,
    shave3.HESSIANBLURGRAY_11X11,
    shave4.HESSIANBLURGRAY_11X11,
    shave5.HESSIANBLURGRAY_11X11,
    shave6.HESSIANBLURGRAY_11X11,
)

HESSIANBLURGRAY_13X13: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_13X13,
    shave2.HESSIANBLURGRAY_13X13,
    shave3.HESSIANBLURGRAY_13X13,
    shave4.HESSIANBLURGRAY_13X13,
    shave5.HESSIANBLURGRAY_13X13,
    shave6.HESSIANBLURGRAY_13X13,
)

HESSIANBLURGRAY_15X15: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_15X15,
    shave2.HESSIANBLURGRAY_15X15,
    shave3.HESSIANBLURGRAY_15X15,
    shave4.HESSIANBLURGRAY_15X15,
    shave5.HESSIANBLURGRAY_15X15,
    shave6.HESSIANBLURGRAY_15X15,
)

HESSIANBLURGRAY_3X3: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_3X3,
    shave2.HESSIANBLURGRAY_3X3,
    shave3.HESSIANBLURGRAY_3X3,
    shave4.HESSIANBLURGRAY_3X3,
    shave5.HESSIANBLURGRAY_3X3,
    shave6.HESSIANBLURGRAY_3X3,
)

HESSIANBLURGRAY_5X5: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_5X5,
    shave2.HESSIANBLURGRAY_5X5,
    shave3.HESSIANBLURGRAY_5X5,
    shave4.HESSIANBLURGRAY_5X5,
    shave5.HESSIANBLURGRAY_5X5,
    shave6.HESSIANBLURGRAY_5X5,
)

HESSIANBLURGRAY_7X7: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_7X7,
    shave2.HESSIANBLURGRAY_7X7,
    shave3.HESSIANBLURGRAY_7X7,
    shave4.HESSIANBLURGRAY_7X7,
    shave5.HESSIANBLURGRAY_7X7,
    shave6.HESSIANBLURGRAY_7X7,
)

HESSIANBLURGRAY_9X9: tuple[Path, ...] = (
    shave1.HESSIANBLURGRAY_9X9,
    shave2.HESSIANBLURGRAY_9X9,
    shave3.HESSIANBLURGRAY_9X9,
    shave4.HESSIANBLURGRAY_9X9,
    shave5.HESSIANBLURGRAY_9X9,
    shave6.HESSIANBLURGRAY_9X9,
)

HESSIANBLUR_11X11: tuple[Path, ...] = (
    shave1.HESSIANBLUR_11X11,
    shave2.HESSIANBLUR_11X11,
    shave3.HESSIANBLUR_11X11,
    shave4.HESSIANBLUR_11X11,
    shave5.HESSIANBLUR_11X11,
    shave6.HESSIANBLUR_11X11,
)

HESSIANBLUR_13X13: tuple[Path, ...] = (
    shave1.HESSIANBLUR_13X13,
    shave2.HESSIANBLUR_13X13,
    shave3.HESSIANBLUR_13X13,
    shave4.HESSIANBLUR_13X13,
    shave5.HESSIANBLUR_13X13,
    shave6.HESSIANBLUR_13X13,
)

HESSIANBLUR_15X15: tuple[Path, ...] = (
    shave1.HESSIANBLUR_15X15,
    shave2.HESSIANBLUR_15X15,
    shave3.HESSIANBLUR_15X15,
    shave4.HESSIANBLUR_15X15,
    shave5.HESSIANBLUR_15X15,
    shave6.HESSIANBLUR_15X15,
)

HESSIANBLUR_3X3: tuple[Path, ...] = (
    shave1.HESSIANBLUR_3X3,
    shave2.HESSIANBLUR_3X3,
    shave3.HESSIANBLUR_3X3,
    shave4.HESSIANBLUR_3X3,
    shave5.HESSIANBLUR_3X3,
    shave6.HESSIANBLUR_3X3,
)

HESSIANBLUR_5X5: tuple[Path, ...] = (
    shave1.HESSIANBLUR_5X5,
    shave2.HESSIANBLUR_5X5,
    shave3.HESSIANBLUR_5X5,
    shave4.HESSIANBLUR_5X5,
    shave5.HESSIANBLUR_5X5,
    shave6.HESSIANBLUR_5X5,
)

HESSIANBLUR_7X7: tuple[Path, ...] = (
    shave1.HESSIANBLUR_7X7,
    shave2.HESSIANBLUR_7X7,
    shave3.HESSIANBLUR_7X7,
    shave4.HESSIANBLUR_7X7,
    shave5.HESSIANBLUR_7X7,
    shave6.HESSIANBLUR_7X7,
)

HESSIANBLUR_9X9: tuple[Path, ...] = (
    shave1.HESSIANBLUR_9X9,
    shave2.HESSIANBLUR_9X9,
    shave3.HESSIANBLUR_9X9,
    shave4.HESSIANBLUR_9X9,
    shave5.HESSIANBLUR_9X9,
    shave6.HESSIANBLUR_9X9,
)

HESSIANGRAY: tuple[Path, ...] = (
    shave1.HESSIANGRAY,
    shave2.HESSIANGRAY,
    shave3.HESSIANGRAY,
    shave4.HESSIANGRAY,
    shave5.HESSIANGRAY,
    shave6.HESSIANGRAY,
)

HESSIAN: tuple[Path, ...] = (
    shave1.HESSIAN,
    shave2.HESSIAN,
    shave3.HESSIAN,
    shave4.HESSIAN,
    shave5.HESSIAN,
    shave6.HESSIAN,
)

LAPLACIANBLURGRAY_11X11_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_11X11,
    shave2.LAPLACIANBLURGRAY_11X11_11X11,
    shave3.LAPLACIANBLURGRAY_11X11_11X11,
    shave4.LAPLACIANBLURGRAY_11X11_11X11,
    shave5.LAPLACIANBLURGRAY_11X11_11X11,
    shave6.LAPLACIANBLURGRAY_11X11_11X11,
)

LAPLACIANBLURGRAY_11X11_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_13X13,
    shave2.LAPLACIANBLURGRAY_11X11_13X13,
    shave3.LAPLACIANBLURGRAY_11X11_13X13,
    shave4.LAPLACIANBLURGRAY_11X11_13X13,
    shave5.LAPLACIANBLURGRAY_11X11_13X13,
    shave6.LAPLACIANBLURGRAY_11X11_13X13,
)

LAPLACIANBLURGRAY_11X11_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_15X15,
    shave2.LAPLACIANBLURGRAY_11X11_15X15,
    shave3.LAPLACIANBLURGRAY_11X11_15X15,
    shave4.LAPLACIANBLURGRAY_11X11_15X15,
    shave5.LAPLACIANBLURGRAY_11X11_15X15,
    shave6.LAPLACIANBLURGRAY_11X11_15X15,
)

LAPLACIANBLURGRAY_11X11_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_3X3,
    shave2.LAPLACIANBLURGRAY_11X11_3X3,
    shave3.LAPLACIANBLURGRAY_11X11_3X3,
    shave4.LAPLACIANBLURGRAY_11X11_3X3,
    shave5.LAPLACIANBLURGRAY_11X11_3X3,
    shave6.LAPLACIANBLURGRAY_11X11_3X3,
)

LAPLACIANBLURGRAY_11X11_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_5X5,
    shave2.LAPLACIANBLURGRAY_11X11_5X5,
    shave3.LAPLACIANBLURGRAY_11X11_5X5,
    shave4.LAPLACIANBLURGRAY_11X11_5X5,
    shave5.LAPLACIANBLURGRAY_11X11_5X5,
    shave6.LAPLACIANBLURGRAY_11X11_5X5,
)

LAPLACIANBLURGRAY_11X11_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_7X7,
    shave2.LAPLACIANBLURGRAY_11X11_7X7,
    shave3.LAPLACIANBLURGRAY_11X11_7X7,
    shave4.LAPLACIANBLURGRAY_11X11_7X7,
    shave5.LAPLACIANBLURGRAY_11X11_7X7,
    shave6.LAPLACIANBLURGRAY_11X11_7X7,
)

LAPLACIANBLURGRAY_11X11_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_11X11_9X9,
    shave2.LAPLACIANBLURGRAY_11X11_9X9,
    shave3.LAPLACIANBLURGRAY_11X11_9X9,
    shave4.LAPLACIANBLURGRAY_11X11_9X9,
    shave5.LAPLACIANBLURGRAY_11X11_9X9,
    shave6.LAPLACIANBLURGRAY_11X11_9X9,
)

LAPLACIANBLURGRAY_13X13_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_11X11,
    shave2.LAPLACIANBLURGRAY_13X13_11X11,
    shave3.LAPLACIANBLURGRAY_13X13_11X11,
    shave4.LAPLACIANBLURGRAY_13X13_11X11,
    shave5.LAPLACIANBLURGRAY_13X13_11X11,
    shave6.LAPLACIANBLURGRAY_13X13_11X11,
)

LAPLACIANBLURGRAY_13X13_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_13X13,
    shave2.LAPLACIANBLURGRAY_13X13_13X13,
    shave3.LAPLACIANBLURGRAY_13X13_13X13,
    shave4.LAPLACIANBLURGRAY_13X13_13X13,
    shave5.LAPLACIANBLURGRAY_13X13_13X13,
    shave6.LAPLACIANBLURGRAY_13X13_13X13,
)

LAPLACIANBLURGRAY_13X13_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_15X15,
    shave2.LAPLACIANBLURGRAY_13X13_15X15,
    shave3.LAPLACIANBLURGRAY_13X13_15X15,
    shave4.LAPLACIANBLURGRAY_13X13_15X15,
    shave5.LAPLACIANBLURGRAY_13X13_15X15,
    shave6.LAPLACIANBLURGRAY_13X13_15X15,
)

LAPLACIANBLURGRAY_13X13_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_3X3,
    shave2.LAPLACIANBLURGRAY_13X13_3X3,
    shave3.LAPLACIANBLURGRAY_13X13_3X3,
    shave4.LAPLACIANBLURGRAY_13X13_3X3,
    shave5.LAPLACIANBLURGRAY_13X13_3X3,
    shave6.LAPLACIANBLURGRAY_13X13_3X3,
)

LAPLACIANBLURGRAY_13X13_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_5X5,
    shave2.LAPLACIANBLURGRAY_13X13_5X5,
    shave3.LAPLACIANBLURGRAY_13X13_5X5,
    shave4.LAPLACIANBLURGRAY_13X13_5X5,
    shave5.LAPLACIANBLURGRAY_13X13_5X5,
    shave6.LAPLACIANBLURGRAY_13X13_5X5,
)

LAPLACIANBLURGRAY_13X13_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_7X7,
    shave2.LAPLACIANBLURGRAY_13X13_7X7,
    shave3.LAPLACIANBLURGRAY_13X13_7X7,
    shave4.LAPLACIANBLURGRAY_13X13_7X7,
    shave5.LAPLACIANBLURGRAY_13X13_7X7,
    shave6.LAPLACIANBLURGRAY_13X13_7X7,
)

LAPLACIANBLURGRAY_13X13_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_13X13_9X9,
    shave2.LAPLACIANBLURGRAY_13X13_9X9,
    shave3.LAPLACIANBLURGRAY_13X13_9X9,
    shave4.LAPLACIANBLURGRAY_13X13_9X9,
    shave5.LAPLACIANBLURGRAY_13X13_9X9,
    shave6.LAPLACIANBLURGRAY_13X13_9X9,
)

LAPLACIANBLURGRAY_15X15_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_11X11,
    shave2.LAPLACIANBLURGRAY_15X15_11X11,
    shave3.LAPLACIANBLURGRAY_15X15_11X11,
    shave4.LAPLACIANBLURGRAY_15X15_11X11,
    shave5.LAPLACIANBLURGRAY_15X15_11X11,
    shave6.LAPLACIANBLURGRAY_15X15_11X11,
)

LAPLACIANBLURGRAY_15X15_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_13X13,
    shave2.LAPLACIANBLURGRAY_15X15_13X13,
    shave3.LAPLACIANBLURGRAY_15X15_13X13,
    shave4.LAPLACIANBLURGRAY_15X15_13X13,
    shave5.LAPLACIANBLURGRAY_15X15_13X13,
    shave6.LAPLACIANBLURGRAY_15X15_13X13,
)

LAPLACIANBLURGRAY_15X15_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_15X15,
    shave2.LAPLACIANBLURGRAY_15X15_15X15,
    shave3.LAPLACIANBLURGRAY_15X15_15X15,
    shave4.LAPLACIANBLURGRAY_15X15_15X15,
    shave5.LAPLACIANBLURGRAY_15X15_15X15,
    shave6.LAPLACIANBLURGRAY_15X15_15X15,
)

LAPLACIANBLURGRAY_15X15_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_3X3,
    shave2.LAPLACIANBLURGRAY_15X15_3X3,
    shave3.LAPLACIANBLURGRAY_15X15_3X3,
    shave4.LAPLACIANBLURGRAY_15X15_3X3,
    shave5.LAPLACIANBLURGRAY_15X15_3X3,
    shave6.LAPLACIANBLURGRAY_15X15_3X3,
)

LAPLACIANBLURGRAY_15X15_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_5X5,
    shave2.LAPLACIANBLURGRAY_15X15_5X5,
    shave3.LAPLACIANBLURGRAY_15X15_5X5,
    shave4.LAPLACIANBLURGRAY_15X15_5X5,
    shave5.LAPLACIANBLURGRAY_15X15_5X5,
    shave6.LAPLACIANBLURGRAY_15X15_5X5,
)

LAPLACIANBLURGRAY_15X15_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_7X7,
    shave2.LAPLACIANBLURGRAY_15X15_7X7,
    shave3.LAPLACIANBLURGRAY_15X15_7X7,
    shave4.LAPLACIANBLURGRAY_15X15_7X7,
    shave5.LAPLACIANBLURGRAY_15X15_7X7,
    shave6.LAPLACIANBLURGRAY_15X15_7X7,
)

LAPLACIANBLURGRAY_15X15_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_15X15_9X9,
    shave2.LAPLACIANBLURGRAY_15X15_9X9,
    shave3.LAPLACIANBLURGRAY_15X15_9X9,
    shave4.LAPLACIANBLURGRAY_15X15_9X9,
    shave5.LAPLACIANBLURGRAY_15X15_9X9,
    shave6.LAPLACIANBLURGRAY_15X15_9X9,
)

LAPLACIANBLURGRAY_3X3_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_11X11,
    shave2.LAPLACIANBLURGRAY_3X3_11X11,
    shave3.LAPLACIANBLURGRAY_3X3_11X11,
    shave4.LAPLACIANBLURGRAY_3X3_11X11,
    shave5.LAPLACIANBLURGRAY_3X3_11X11,
    shave6.LAPLACIANBLURGRAY_3X3_11X11,
)

LAPLACIANBLURGRAY_3X3_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_13X13,
    shave2.LAPLACIANBLURGRAY_3X3_13X13,
    shave3.LAPLACIANBLURGRAY_3X3_13X13,
    shave4.LAPLACIANBLURGRAY_3X3_13X13,
    shave5.LAPLACIANBLURGRAY_3X3_13X13,
    shave6.LAPLACIANBLURGRAY_3X3_13X13,
)

LAPLACIANBLURGRAY_3X3_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_15X15,
    shave2.LAPLACIANBLURGRAY_3X3_15X15,
    shave3.LAPLACIANBLURGRAY_3X3_15X15,
    shave4.LAPLACIANBLURGRAY_3X3_15X15,
    shave5.LAPLACIANBLURGRAY_3X3_15X15,
    shave6.LAPLACIANBLURGRAY_3X3_15X15,
)

LAPLACIANBLURGRAY_3X3_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_3X3,
    shave2.LAPLACIANBLURGRAY_3X3_3X3,
    shave3.LAPLACIANBLURGRAY_3X3_3X3,
    shave4.LAPLACIANBLURGRAY_3X3_3X3,
    shave5.LAPLACIANBLURGRAY_3X3_3X3,
    shave6.LAPLACIANBLURGRAY_3X3_3X3,
)

LAPLACIANBLURGRAY_3X3_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_5X5,
    shave2.LAPLACIANBLURGRAY_3X3_5X5,
    shave3.LAPLACIANBLURGRAY_3X3_5X5,
    shave4.LAPLACIANBLURGRAY_3X3_5X5,
    shave5.LAPLACIANBLURGRAY_3X3_5X5,
    shave6.LAPLACIANBLURGRAY_3X3_5X5,
)

LAPLACIANBLURGRAY_3X3_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_7X7,
    shave2.LAPLACIANBLURGRAY_3X3_7X7,
    shave3.LAPLACIANBLURGRAY_3X3_7X7,
    shave4.LAPLACIANBLURGRAY_3X3_7X7,
    shave5.LAPLACIANBLURGRAY_3X3_7X7,
    shave6.LAPLACIANBLURGRAY_3X3_7X7,
)

LAPLACIANBLURGRAY_3X3_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_3X3_9X9,
    shave2.LAPLACIANBLURGRAY_3X3_9X9,
    shave3.LAPLACIANBLURGRAY_3X3_9X9,
    shave4.LAPLACIANBLURGRAY_3X3_9X9,
    shave5.LAPLACIANBLURGRAY_3X3_9X9,
    shave6.LAPLACIANBLURGRAY_3X3_9X9,
)

LAPLACIANBLURGRAY_5X5_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_11X11,
    shave2.LAPLACIANBLURGRAY_5X5_11X11,
    shave3.LAPLACIANBLURGRAY_5X5_11X11,
    shave4.LAPLACIANBLURGRAY_5X5_11X11,
    shave5.LAPLACIANBLURGRAY_5X5_11X11,
    shave6.LAPLACIANBLURGRAY_5X5_11X11,
)

LAPLACIANBLURGRAY_5X5_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_13X13,
    shave2.LAPLACIANBLURGRAY_5X5_13X13,
    shave3.LAPLACIANBLURGRAY_5X5_13X13,
    shave4.LAPLACIANBLURGRAY_5X5_13X13,
    shave5.LAPLACIANBLURGRAY_5X5_13X13,
    shave6.LAPLACIANBLURGRAY_5X5_13X13,
)

LAPLACIANBLURGRAY_5X5_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_15X15,
    shave2.LAPLACIANBLURGRAY_5X5_15X15,
    shave3.LAPLACIANBLURGRAY_5X5_15X15,
    shave4.LAPLACIANBLURGRAY_5X5_15X15,
    shave5.LAPLACIANBLURGRAY_5X5_15X15,
    shave6.LAPLACIANBLURGRAY_5X5_15X15,
)

LAPLACIANBLURGRAY_5X5_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_3X3,
    shave2.LAPLACIANBLURGRAY_5X5_3X3,
    shave3.LAPLACIANBLURGRAY_5X5_3X3,
    shave4.LAPLACIANBLURGRAY_5X5_3X3,
    shave5.LAPLACIANBLURGRAY_5X5_3X3,
    shave6.LAPLACIANBLURGRAY_5X5_3X3,
)

LAPLACIANBLURGRAY_5X5_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_5X5,
    shave2.LAPLACIANBLURGRAY_5X5_5X5,
    shave3.LAPLACIANBLURGRAY_5X5_5X5,
    shave4.LAPLACIANBLURGRAY_5X5_5X5,
    shave5.LAPLACIANBLURGRAY_5X5_5X5,
    shave6.LAPLACIANBLURGRAY_5X5_5X5,
)

LAPLACIANBLURGRAY_5X5_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_7X7,
    shave2.LAPLACIANBLURGRAY_5X5_7X7,
    shave3.LAPLACIANBLURGRAY_5X5_7X7,
    shave4.LAPLACIANBLURGRAY_5X5_7X7,
    shave5.LAPLACIANBLURGRAY_5X5_7X7,
    shave6.LAPLACIANBLURGRAY_5X5_7X7,
)

LAPLACIANBLURGRAY_5X5_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_5X5_9X9,
    shave2.LAPLACIANBLURGRAY_5X5_9X9,
    shave3.LAPLACIANBLURGRAY_5X5_9X9,
    shave4.LAPLACIANBLURGRAY_5X5_9X9,
    shave5.LAPLACIANBLURGRAY_5X5_9X9,
    shave6.LAPLACIANBLURGRAY_5X5_9X9,
)

LAPLACIANBLURGRAY_7X7_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_11X11,
    shave2.LAPLACIANBLURGRAY_7X7_11X11,
    shave3.LAPLACIANBLURGRAY_7X7_11X11,
    shave4.LAPLACIANBLURGRAY_7X7_11X11,
    shave5.LAPLACIANBLURGRAY_7X7_11X11,
    shave6.LAPLACIANBLURGRAY_7X7_11X11,
)

LAPLACIANBLURGRAY_7X7_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_13X13,
    shave2.LAPLACIANBLURGRAY_7X7_13X13,
    shave3.LAPLACIANBLURGRAY_7X7_13X13,
    shave4.LAPLACIANBLURGRAY_7X7_13X13,
    shave5.LAPLACIANBLURGRAY_7X7_13X13,
    shave6.LAPLACIANBLURGRAY_7X7_13X13,
)

LAPLACIANBLURGRAY_7X7_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_15X15,
    shave2.LAPLACIANBLURGRAY_7X7_15X15,
    shave3.LAPLACIANBLURGRAY_7X7_15X15,
    shave4.LAPLACIANBLURGRAY_7X7_15X15,
    shave5.LAPLACIANBLURGRAY_7X7_15X15,
    shave6.LAPLACIANBLURGRAY_7X7_15X15,
)

LAPLACIANBLURGRAY_7X7_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_3X3,
    shave2.LAPLACIANBLURGRAY_7X7_3X3,
    shave3.LAPLACIANBLURGRAY_7X7_3X3,
    shave4.LAPLACIANBLURGRAY_7X7_3X3,
    shave5.LAPLACIANBLURGRAY_7X7_3X3,
    shave6.LAPLACIANBLURGRAY_7X7_3X3,
)

LAPLACIANBLURGRAY_7X7_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_5X5,
    shave2.LAPLACIANBLURGRAY_7X7_5X5,
    shave3.LAPLACIANBLURGRAY_7X7_5X5,
    shave4.LAPLACIANBLURGRAY_7X7_5X5,
    shave5.LAPLACIANBLURGRAY_7X7_5X5,
    shave6.LAPLACIANBLURGRAY_7X7_5X5,
)

LAPLACIANBLURGRAY_7X7_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_7X7,
    shave2.LAPLACIANBLURGRAY_7X7_7X7,
    shave3.LAPLACIANBLURGRAY_7X7_7X7,
    shave4.LAPLACIANBLURGRAY_7X7_7X7,
    shave5.LAPLACIANBLURGRAY_7X7_7X7,
    shave6.LAPLACIANBLURGRAY_7X7_7X7,
)

LAPLACIANBLURGRAY_7X7_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_7X7_9X9,
    shave2.LAPLACIANBLURGRAY_7X7_9X9,
    shave3.LAPLACIANBLURGRAY_7X7_9X9,
    shave4.LAPLACIANBLURGRAY_7X7_9X9,
    shave5.LAPLACIANBLURGRAY_7X7_9X9,
    shave6.LAPLACIANBLURGRAY_7X7_9X9,
)

LAPLACIANBLURGRAY_9X9_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_11X11,
    shave2.LAPLACIANBLURGRAY_9X9_11X11,
    shave3.LAPLACIANBLURGRAY_9X9_11X11,
    shave4.LAPLACIANBLURGRAY_9X9_11X11,
    shave5.LAPLACIANBLURGRAY_9X9_11X11,
    shave6.LAPLACIANBLURGRAY_9X9_11X11,
)

LAPLACIANBLURGRAY_9X9_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_13X13,
    shave2.LAPLACIANBLURGRAY_9X9_13X13,
    shave3.LAPLACIANBLURGRAY_9X9_13X13,
    shave4.LAPLACIANBLURGRAY_9X9_13X13,
    shave5.LAPLACIANBLURGRAY_9X9_13X13,
    shave6.LAPLACIANBLURGRAY_9X9_13X13,
)

LAPLACIANBLURGRAY_9X9_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_15X15,
    shave2.LAPLACIANBLURGRAY_9X9_15X15,
    shave3.LAPLACIANBLURGRAY_9X9_15X15,
    shave4.LAPLACIANBLURGRAY_9X9_15X15,
    shave5.LAPLACIANBLURGRAY_9X9_15X15,
    shave6.LAPLACIANBLURGRAY_9X9_15X15,
)

LAPLACIANBLURGRAY_9X9_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_3X3,
    shave2.LAPLACIANBLURGRAY_9X9_3X3,
    shave3.LAPLACIANBLURGRAY_9X9_3X3,
    shave4.LAPLACIANBLURGRAY_9X9_3X3,
    shave5.LAPLACIANBLURGRAY_9X9_3X3,
    shave6.LAPLACIANBLURGRAY_9X9_3X3,
)

LAPLACIANBLURGRAY_9X9_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_5X5,
    shave2.LAPLACIANBLURGRAY_9X9_5X5,
    shave3.LAPLACIANBLURGRAY_9X9_5X5,
    shave4.LAPLACIANBLURGRAY_9X9_5X5,
    shave5.LAPLACIANBLURGRAY_9X9_5X5,
    shave6.LAPLACIANBLURGRAY_9X9_5X5,
)

LAPLACIANBLURGRAY_9X9_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_7X7,
    shave2.LAPLACIANBLURGRAY_9X9_7X7,
    shave3.LAPLACIANBLURGRAY_9X9_7X7,
    shave4.LAPLACIANBLURGRAY_9X9_7X7,
    shave5.LAPLACIANBLURGRAY_9X9_7X7,
    shave6.LAPLACIANBLURGRAY_9X9_7X7,
)

LAPLACIANBLURGRAY_9X9_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLURGRAY_9X9_9X9,
    shave2.LAPLACIANBLURGRAY_9X9_9X9,
    shave3.LAPLACIANBLURGRAY_9X9_9X9,
    shave4.LAPLACIANBLURGRAY_9X9_9X9,
    shave5.LAPLACIANBLURGRAY_9X9_9X9,
    shave6.LAPLACIANBLURGRAY_9X9_9X9,
)

LAPLACIANBLUR_11X11_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_11X11,
    shave2.LAPLACIANBLUR_11X11_11X11,
    shave3.LAPLACIANBLUR_11X11_11X11,
    shave4.LAPLACIANBLUR_11X11_11X11,
    shave5.LAPLACIANBLUR_11X11_11X11,
    shave6.LAPLACIANBLUR_11X11_11X11,
)

LAPLACIANBLUR_11X11_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_13X13,
    shave2.LAPLACIANBLUR_11X11_13X13,
    shave3.LAPLACIANBLUR_11X11_13X13,
    shave4.LAPLACIANBLUR_11X11_13X13,
    shave5.LAPLACIANBLUR_11X11_13X13,
    shave6.LAPLACIANBLUR_11X11_13X13,
)

LAPLACIANBLUR_11X11_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_15X15,
    shave2.LAPLACIANBLUR_11X11_15X15,
    shave3.LAPLACIANBLUR_11X11_15X15,
    shave4.LAPLACIANBLUR_11X11_15X15,
    shave5.LAPLACIANBLUR_11X11_15X15,
    shave6.LAPLACIANBLUR_11X11_15X15,
)

LAPLACIANBLUR_11X11_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_3X3,
    shave2.LAPLACIANBLUR_11X11_3X3,
    shave3.LAPLACIANBLUR_11X11_3X3,
    shave4.LAPLACIANBLUR_11X11_3X3,
    shave5.LAPLACIANBLUR_11X11_3X3,
    shave6.LAPLACIANBLUR_11X11_3X3,
)

LAPLACIANBLUR_11X11_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_5X5,
    shave2.LAPLACIANBLUR_11X11_5X5,
    shave3.LAPLACIANBLUR_11X11_5X5,
    shave4.LAPLACIANBLUR_11X11_5X5,
    shave5.LAPLACIANBLUR_11X11_5X5,
    shave6.LAPLACIANBLUR_11X11_5X5,
)

LAPLACIANBLUR_11X11_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_7X7,
    shave2.LAPLACIANBLUR_11X11_7X7,
    shave3.LAPLACIANBLUR_11X11_7X7,
    shave4.LAPLACIANBLUR_11X11_7X7,
    shave5.LAPLACIANBLUR_11X11_7X7,
    shave6.LAPLACIANBLUR_11X11_7X7,
)

LAPLACIANBLUR_11X11_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_11X11_9X9,
    shave2.LAPLACIANBLUR_11X11_9X9,
    shave3.LAPLACIANBLUR_11X11_9X9,
    shave4.LAPLACIANBLUR_11X11_9X9,
    shave5.LAPLACIANBLUR_11X11_9X9,
    shave6.LAPLACIANBLUR_11X11_9X9,
)

LAPLACIANBLUR_13X13_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_11X11,
    shave2.LAPLACIANBLUR_13X13_11X11,
    shave3.LAPLACIANBLUR_13X13_11X11,
    shave4.LAPLACIANBLUR_13X13_11X11,
    shave5.LAPLACIANBLUR_13X13_11X11,
    shave6.LAPLACIANBLUR_13X13_11X11,
)

LAPLACIANBLUR_13X13_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_13X13,
    shave2.LAPLACIANBLUR_13X13_13X13,
    shave3.LAPLACIANBLUR_13X13_13X13,
    shave4.LAPLACIANBLUR_13X13_13X13,
    shave5.LAPLACIANBLUR_13X13_13X13,
    shave6.LAPLACIANBLUR_13X13_13X13,
)

LAPLACIANBLUR_13X13_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_15X15,
    shave2.LAPLACIANBLUR_13X13_15X15,
    shave3.LAPLACIANBLUR_13X13_15X15,
    shave4.LAPLACIANBLUR_13X13_15X15,
    shave5.LAPLACIANBLUR_13X13_15X15,
    shave6.LAPLACIANBLUR_13X13_15X15,
)

LAPLACIANBLUR_13X13_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_3X3,
    shave2.LAPLACIANBLUR_13X13_3X3,
    shave3.LAPLACIANBLUR_13X13_3X3,
    shave4.LAPLACIANBLUR_13X13_3X3,
    shave5.LAPLACIANBLUR_13X13_3X3,
    shave6.LAPLACIANBLUR_13X13_3X3,
)

LAPLACIANBLUR_13X13_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_5X5,
    shave2.LAPLACIANBLUR_13X13_5X5,
    shave3.LAPLACIANBLUR_13X13_5X5,
    shave4.LAPLACIANBLUR_13X13_5X5,
    shave5.LAPLACIANBLUR_13X13_5X5,
    shave6.LAPLACIANBLUR_13X13_5X5,
)

LAPLACIANBLUR_13X13_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_7X7,
    shave2.LAPLACIANBLUR_13X13_7X7,
    shave3.LAPLACIANBLUR_13X13_7X7,
    shave4.LAPLACIANBLUR_13X13_7X7,
    shave5.LAPLACIANBLUR_13X13_7X7,
    shave6.LAPLACIANBLUR_13X13_7X7,
)

LAPLACIANBLUR_13X13_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_13X13_9X9,
    shave2.LAPLACIANBLUR_13X13_9X9,
    shave3.LAPLACIANBLUR_13X13_9X9,
    shave4.LAPLACIANBLUR_13X13_9X9,
    shave5.LAPLACIANBLUR_13X13_9X9,
    shave6.LAPLACIANBLUR_13X13_9X9,
)

LAPLACIANBLUR_15X15_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_11X11,
    shave2.LAPLACIANBLUR_15X15_11X11,
    shave3.LAPLACIANBLUR_15X15_11X11,
    shave4.LAPLACIANBLUR_15X15_11X11,
    shave5.LAPLACIANBLUR_15X15_11X11,
    shave6.LAPLACIANBLUR_15X15_11X11,
)

LAPLACIANBLUR_15X15_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_13X13,
    shave2.LAPLACIANBLUR_15X15_13X13,
    shave3.LAPLACIANBLUR_15X15_13X13,
    shave4.LAPLACIANBLUR_15X15_13X13,
    shave5.LAPLACIANBLUR_15X15_13X13,
    shave6.LAPLACIANBLUR_15X15_13X13,
)

LAPLACIANBLUR_15X15_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_15X15,
    shave2.LAPLACIANBLUR_15X15_15X15,
    shave3.LAPLACIANBLUR_15X15_15X15,
    shave4.LAPLACIANBLUR_15X15_15X15,
    shave5.LAPLACIANBLUR_15X15_15X15,
    shave6.LAPLACIANBLUR_15X15_15X15,
)

LAPLACIANBLUR_15X15_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_3X3,
    shave2.LAPLACIANBLUR_15X15_3X3,
    shave3.LAPLACIANBLUR_15X15_3X3,
    shave4.LAPLACIANBLUR_15X15_3X3,
    shave5.LAPLACIANBLUR_15X15_3X3,
    shave6.LAPLACIANBLUR_15X15_3X3,
)

LAPLACIANBLUR_15X15_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_5X5,
    shave2.LAPLACIANBLUR_15X15_5X5,
    shave3.LAPLACIANBLUR_15X15_5X5,
    shave4.LAPLACIANBLUR_15X15_5X5,
    shave5.LAPLACIANBLUR_15X15_5X5,
    shave6.LAPLACIANBLUR_15X15_5X5,
)

LAPLACIANBLUR_15X15_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_7X7,
    shave2.LAPLACIANBLUR_15X15_7X7,
    shave3.LAPLACIANBLUR_15X15_7X7,
    shave4.LAPLACIANBLUR_15X15_7X7,
    shave5.LAPLACIANBLUR_15X15_7X7,
    shave6.LAPLACIANBLUR_15X15_7X7,
)

LAPLACIANBLUR_15X15_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_15X15_9X9,
    shave2.LAPLACIANBLUR_15X15_9X9,
    shave3.LAPLACIANBLUR_15X15_9X9,
    shave4.LAPLACIANBLUR_15X15_9X9,
    shave5.LAPLACIANBLUR_15X15_9X9,
    shave6.LAPLACIANBLUR_15X15_9X9,
)

LAPLACIANBLUR_3X3_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_11X11,
    shave2.LAPLACIANBLUR_3X3_11X11,
    shave3.LAPLACIANBLUR_3X3_11X11,
    shave4.LAPLACIANBLUR_3X3_11X11,
    shave5.LAPLACIANBLUR_3X3_11X11,
    shave6.LAPLACIANBLUR_3X3_11X11,
)

LAPLACIANBLUR_3X3_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_13X13,
    shave2.LAPLACIANBLUR_3X3_13X13,
    shave3.LAPLACIANBLUR_3X3_13X13,
    shave4.LAPLACIANBLUR_3X3_13X13,
    shave5.LAPLACIANBLUR_3X3_13X13,
    shave6.LAPLACIANBLUR_3X3_13X13,
)

LAPLACIANBLUR_3X3_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_15X15,
    shave2.LAPLACIANBLUR_3X3_15X15,
    shave3.LAPLACIANBLUR_3X3_15X15,
    shave4.LAPLACIANBLUR_3X3_15X15,
    shave5.LAPLACIANBLUR_3X3_15X15,
    shave6.LAPLACIANBLUR_3X3_15X15,
)

LAPLACIANBLUR_3X3_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_3X3,
    shave2.LAPLACIANBLUR_3X3_3X3,
    shave3.LAPLACIANBLUR_3X3_3X3,
    shave4.LAPLACIANBLUR_3X3_3X3,
    shave5.LAPLACIANBLUR_3X3_3X3,
    shave6.LAPLACIANBLUR_3X3_3X3,
)

LAPLACIANBLUR_3X3_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_5X5,
    shave2.LAPLACIANBLUR_3X3_5X5,
    shave3.LAPLACIANBLUR_3X3_5X5,
    shave4.LAPLACIANBLUR_3X3_5X5,
    shave5.LAPLACIANBLUR_3X3_5X5,
    shave6.LAPLACIANBLUR_3X3_5X5,
)

LAPLACIANBLUR_3X3_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_7X7,
    shave2.LAPLACIANBLUR_3X3_7X7,
    shave3.LAPLACIANBLUR_3X3_7X7,
    shave4.LAPLACIANBLUR_3X3_7X7,
    shave5.LAPLACIANBLUR_3X3_7X7,
    shave6.LAPLACIANBLUR_3X3_7X7,
)

LAPLACIANBLUR_3X3_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_3X3_9X9,
    shave2.LAPLACIANBLUR_3X3_9X9,
    shave3.LAPLACIANBLUR_3X3_9X9,
    shave4.LAPLACIANBLUR_3X3_9X9,
    shave5.LAPLACIANBLUR_3X3_9X9,
    shave6.LAPLACIANBLUR_3X3_9X9,
)

LAPLACIANBLUR_5X5_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_11X11,
    shave2.LAPLACIANBLUR_5X5_11X11,
    shave3.LAPLACIANBLUR_5X5_11X11,
    shave4.LAPLACIANBLUR_5X5_11X11,
    shave5.LAPLACIANBLUR_5X5_11X11,
    shave6.LAPLACIANBLUR_5X5_11X11,
)

LAPLACIANBLUR_5X5_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_13X13,
    shave2.LAPLACIANBLUR_5X5_13X13,
    shave3.LAPLACIANBLUR_5X5_13X13,
    shave4.LAPLACIANBLUR_5X5_13X13,
    shave5.LAPLACIANBLUR_5X5_13X13,
    shave6.LAPLACIANBLUR_5X5_13X13,
)

LAPLACIANBLUR_5X5_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_15X15,
    shave2.LAPLACIANBLUR_5X5_15X15,
    shave3.LAPLACIANBLUR_5X5_15X15,
    shave4.LAPLACIANBLUR_5X5_15X15,
    shave5.LAPLACIANBLUR_5X5_15X15,
    shave6.LAPLACIANBLUR_5X5_15X15,
)

LAPLACIANBLUR_5X5_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_3X3,
    shave2.LAPLACIANBLUR_5X5_3X3,
    shave3.LAPLACIANBLUR_5X5_3X3,
    shave4.LAPLACIANBLUR_5X5_3X3,
    shave5.LAPLACIANBLUR_5X5_3X3,
    shave6.LAPLACIANBLUR_5X5_3X3,
)

LAPLACIANBLUR_5X5_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_5X5,
    shave2.LAPLACIANBLUR_5X5_5X5,
    shave3.LAPLACIANBLUR_5X5_5X5,
    shave4.LAPLACIANBLUR_5X5_5X5,
    shave5.LAPLACIANBLUR_5X5_5X5,
    shave6.LAPLACIANBLUR_5X5_5X5,
)

LAPLACIANBLUR_5X5_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_7X7,
    shave2.LAPLACIANBLUR_5X5_7X7,
    shave3.LAPLACIANBLUR_5X5_7X7,
    shave4.LAPLACIANBLUR_5X5_7X7,
    shave5.LAPLACIANBLUR_5X5_7X7,
    shave6.LAPLACIANBLUR_5X5_7X7,
)

LAPLACIANBLUR_5X5_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_5X5_9X9,
    shave2.LAPLACIANBLUR_5X5_9X9,
    shave3.LAPLACIANBLUR_5X5_9X9,
    shave4.LAPLACIANBLUR_5X5_9X9,
    shave5.LAPLACIANBLUR_5X5_9X9,
    shave6.LAPLACIANBLUR_5X5_9X9,
)

LAPLACIANBLUR_7X7_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_11X11,
    shave2.LAPLACIANBLUR_7X7_11X11,
    shave3.LAPLACIANBLUR_7X7_11X11,
    shave4.LAPLACIANBLUR_7X7_11X11,
    shave5.LAPLACIANBLUR_7X7_11X11,
    shave6.LAPLACIANBLUR_7X7_11X11,
)

LAPLACIANBLUR_7X7_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_13X13,
    shave2.LAPLACIANBLUR_7X7_13X13,
    shave3.LAPLACIANBLUR_7X7_13X13,
    shave4.LAPLACIANBLUR_7X7_13X13,
    shave5.LAPLACIANBLUR_7X7_13X13,
    shave6.LAPLACIANBLUR_7X7_13X13,
)

LAPLACIANBLUR_7X7_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_15X15,
    shave2.LAPLACIANBLUR_7X7_15X15,
    shave3.LAPLACIANBLUR_7X7_15X15,
    shave4.LAPLACIANBLUR_7X7_15X15,
    shave5.LAPLACIANBLUR_7X7_15X15,
    shave6.LAPLACIANBLUR_7X7_15X15,
)

LAPLACIANBLUR_7X7_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_3X3,
    shave2.LAPLACIANBLUR_7X7_3X3,
    shave3.LAPLACIANBLUR_7X7_3X3,
    shave4.LAPLACIANBLUR_7X7_3X3,
    shave5.LAPLACIANBLUR_7X7_3X3,
    shave6.LAPLACIANBLUR_7X7_3X3,
)

LAPLACIANBLUR_7X7_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_5X5,
    shave2.LAPLACIANBLUR_7X7_5X5,
    shave3.LAPLACIANBLUR_7X7_5X5,
    shave4.LAPLACIANBLUR_7X7_5X5,
    shave5.LAPLACIANBLUR_7X7_5X5,
    shave6.LAPLACIANBLUR_7X7_5X5,
)

LAPLACIANBLUR_7X7_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_7X7,
    shave2.LAPLACIANBLUR_7X7_7X7,
    shave3.LAPLACIANBLUR_7X7_7X7,
    shave4.LAPLACIANBLUR_7X7_7X7,
    shave5.LAPLACIANBLUR_7X7_7X7,
    shave6.LAPLACIANBLUR_7X7_7X7,
)

LAPLACIANBLUR_7X7_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_7X7_9X9,
    shave2.LAPLACIANBLUR_7X7_9X9,
    shave3.LAPLACIANBLUR_7X7_9X9,
    shave4.LAPLACIANBLUR_7X7_9X9,
    shave5.LAPLACIANBLUR_7X7_9X9,
    shave6.LAPLACIANBLUR_7X7_9X9,
)

LAPLACIANBLUR_9X9_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_11X11,
    shave2.LAPLACIANBLUR_9X9_11X11,
    shave3.LAPLACIANBLUR_9X9_11X11,
    shave4.LAPLACIANBLUR_9X9_11X11,
    shave5.LAPLACIANBLUR_9X9_11X11,
    shave6.LAPLACIANBLUR_9X9_11X11,
)

LAPLACIANBLUR_9X9_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_13X13,
    shave2.LAPLACIANBLUR_9X9_13X13,
    shave3.LAPLACIANBLUR_9X9_13X13,
    shave4.LAPLACIANBLUR_9X9_13X13,
    shave5.LAPLACIANBLUR_9X9_13X13,
    shave6.LAPLACIANBLUR_9X9_13X13,
)

LAPLACIANBLUR_9X9_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_15X15,
    shave2.LAPLACIANBLUR_9X9_15X15,
    shave3.LAPLACIANBLUR_9X9_15X15,
    shave4.LAPLACIANBLUR_9X9_15X15,
    shave5.LAPLACIANBLUR_9X9_15X15,
    shave6.LAPLACIANBLUR_9X9_15X15,
)

LAPLACIANBLUR_9X9_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_3X3,
    shave2.LAPLACIANBLUR_9X9_3X3,
    shave3.LAPLACIANBLUR_9X9_3X3,
    shave4.LAPLACIANBLUR_9X9_3X3,
    shave5.LAPLACIANBLUR_9X9_3X3,
    shave6.LAPLACIANBLUR_9X9_3X3,
)

LAPLACIANBLUR_9X9_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_5X5,
    shave2.LAPLACIANBLUR_9X9_5X5,
    shave3.LAPLACIANBLUR_9X9_5X5,
    shave4.LAPLACIANBLUR_9X9_5X5,
    shave5.LAPLACIANBLUR_9X9_5X5,
    shave6.LAPLACIANBLUR_9X9_5X5,
)

LAPLACIANBLUR_9X9_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_7X7,
    shave2.LAPLACIANBLUR_9X9_7X7,
    shave3.LAPLACIANBLUR_9X9_7X7,
    shave4.LAPLACIANBLUR_9X9_7X7,
    shave5.LAPLACIANBLUR_9X9_7X7,
    shave6.LAPLACIANBLUR_9X9_7X7,
)

LAPLACIANBLUR_9X9_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANBLUR_9X9_9X9,
    shave2.LAPLACIANBLUR_9X9_9X9,
    shave3.LAPLACIANBLUR_9X9_9X9,
    shave4.LAPLACIANBLUR_9X9_9X9,
    shave5.LAPLACIANBLUR_9X9_9X9,
    shave6.LAPLACIANBLUR_9X9_9X9,
)

LAPLACIANGRAY_11X11: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_11X11,
    shave2.LAPLACIANGRAY_11X11,
    shave3.LAPLACIANGRAY_11X11,
    shave4.LAPLACIANGRAY_11X11,
    shave5.LAPLACIANGRAY_11X11,
    shave6.LAPLACIANGRAY_11X11,
)

LAPLACIANGRAY_13X13: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_13X13,
    shave2.LAPLACIANGRAY_13X13,
    shave3.LAPLACIANGRAY_13X13,
    shave4.LAPLACIANGRAY_13X13,
    shave5.LAPLACIANGRAY_13X13,
    shave6.LAPLACIANGRAY_13X13,
)

LAPLACIANGRAY_15X15: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_15X15,
    shave2.LAPLACIANGRAY_15X15,
    shave3.LAPLACIANGRAY_15X15,
    shave4.LAPLACIANGRAY_15X15,
    shave5.LAPLACIANGRAY_15X15,
    shave6.LAPLACIANGRAY_15X15,
)

LAPLACIANGRAY_3X3: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_3X3,
    shave2.LAPLACIANGRAY_3X3,
    shave3.LAPLACIANGRAY_3X3,
    shave4.LAPLACIANGRAY_3X3,
    shave5.LAPLACIANGRAY_3X3,
    shave6.LAPLACIANGRAY_3X3,
)

LAPLACIANGRAY_5X5: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_5X5,
    shave2.LAPLACIANGRAY_5X5,
    shave3.LAPLACIANGRAY_5X5,
    shave4.LAPLACIANGRAY_5X5,
    shave5.LAPLACIANGRAY_5X5,
    shave6.LAPLACIANGRAY_5X5,
)

LAPLACIANGRAY_7X7: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_7X7,
    shave2.LAPLACIANGRAY_7X7,
    shave3.LAPLACIANGRAY_7X7,
    shave4.LAPLACIANGRAY_7X7,
    shave5.LAPLACIANGRAY_7X7,
    shave6.LAPLACIANGRAY_7X7,
)

LAPLACIANGRAY_9X9: tuple[Path, ...] = (
    shave1.LAPLACIANGRAY_9X9,
    shave2.LAPLACIANGRAY_9X9,
    shave3.LAPLACIANGRAY_9X9,
    shave4.LAPLACIANGRAY_9X9,
    shave5.LAPLACIANGRAY_9X9,
    shave6.LAPLACIANGRAY_9X9,
)

LAPLACIAN_11X11: tuple[Path, ...] = (
    shave1.LAPLACIAN_11X11,
    shave2.LAPLACIAN_11X11,
    shave3.LAPLACIAN_11X11,
    shave4.LAPLACIAN_11X11,
    shave5.LAPLACIAN_11X11,
    shave6.LAPLACIAN_11X11,
)

LAPLACIAN_13X13: tuple[Path, ...] = (
    shave1.LAPLACIAN_13X13,
    shave2.LAPLACIAN_13X13,
    shave3.LAPLACIAN_13X13,
    shave4.LAPLACIAN_13X13,
    shave5.LAPLACIAN_13X13,
    shave6.LAPLACIAN_13X13,
)

LAPLACIAN_15X15: tuple[Path, ...] = (
    shave1.LAPLACIAN_15X15,
    shave2.LAPLACIAN_15X15,
    shave3.LAPLACIAN_15X15,
    shave4.LAPLACIAN_15X15,
    shave5.LAPLACIAN_15X15,
    shave6.LAPLACIAN_15X15,
)

LAPLACIAN_3X3: tuple[Path, ...] = (
    shave1.LAPLACIAN_3X3,
    shave2.LAPLACIAN_3X3,
    shave3.LAPLACIAN_3X3,
    shave4.LAPLACIAN_3X3,
    shave5.LAPLACIAN_3X3,
    shave6.LAPLACIAN_3X3,
)

LAPLACIAN_5X5: tuple[Path, ...] = (
    shave1.LAPLACIAN_5X5,
    shave2.LAPLACIAN_5X5,
    shave3.LAPLACIAN_5X5,
    shave4.LAPLACIAN_5X5,
    shave5.LAPLACIAN_5X5,
    shave6.LAPLACIAN_5X5,
)

LAPLACIAN_7X7: tuple[Path, ...] = (
    shave1.LAPLACIAN_7X7,
    shave2.LAPLACIAN_7X7,
    shave3.LAPLACIAN_7X7,
    shave4.LAPLACIAN_7X7,
    shave5.LAPLACIAN_7X7,
    shave6.LAPLACIAN_7X7,
)

LAPLACIAN_9X9: tuple[Path, ...] = (
    shave1.LAPLACIAN_9X9,
    shave2.LAPLACIAN_9X9,
    shave3.LAPLACIAN_9X9,
    shave4.LAPLACIAN_9X9,
    shave5.LAPLACIAN_9X9,
    shave6.LAPLACIAN_9X9,
)

LASERSCAN_10_1: tuple[Path, ...] = (
    shave1.LASERSCAN_10_1,
    shave2.LASERSCAN_10_1,
    shave3.LASERSCAN_10_1,
    shave4.LASERSCAN_10_1,
    shave5.LASERSCAN_10_1,
    shave6.LASERSCAN_10_1,
)

LASERSCAN_10_3: tuple[Path, ...] = (
    shave1.LASERSCAN_10_3,
    shave2.LASERSCAN_10_3,
    shave3.LASERSCAN_10_3,
    shave4.LASERSCAN_10_3,
    shave5.LASERSCAN_10_3,
    shave6.LASERSCAN_10_3,
)

LASERSCAN_10_5: tuple[Path, ...] = (
    shave1.LASERSCAN_10_5,
    shave2.LASERSCAN_10_5,
    shave3.LASERSCAN_10_5,
    shave4.LASERSCAN_10_5,
    shave5.LASERSCAN_10_5,
    shave6.LASERSCAN_10_5,
)

LASERSCAN_20_1: tuple[Path, ...] = (
    shave1.LASERSCAN_20_1,
    shave2.LASERSCAN_20_1,
    shave3.LASERSCAN_20_1,
    shave4.LASERSCAN_20_1,
    shave5.LASERSCAN_20_1,
    shave6.LASERSCAN_20_1,
)

LASERSCAN_20_3: tuple[Path, ...] = (
    shave1.LASERSCAN_20_3,
    shave2.LASERSCAN_20_3,
    shave3.LASERSCAN_20_3,
    shave4.LASERSCAN_20_3,
    shave5.LASERSCAN_20_3,
    shave6.LASERSCAN_20_3,
)

LASERSCAN_20_5: tuple[Path, ...] = (
    shave1.LASERSCAN_20_5,
    shave2.LASERSCAN_20_5,
    shave3.LASERSCAN_20_5,
    shave4.LASERSCAN_20_5,
    shave5.LASERSCAN_20_5,
    shave6.LASERSCAN_20_5,
)

LASERSCAN_5_1: tuple[Path, ...] = (
    shave1.LASERSCAN_5_1,
    shave2.LASERSCAN_5_1,
    shave3.LASERSCAN_5_1,
    shave4.LASERSCAN_5_1,
    shave5.LASERSCAN_5_1,
    shave6.LASERSCAN_5_1,
)

LASERSCAN_5_3: tuple[Path, ...] = (
    shave1.LASERSCAN_5_3,
    shave2.LASERSCAN_5_3,
    shave3.LASERSCAN_5_3,
    shave4.LASERSCAN_5_3,
    shave5.LASERSCAN_5_3,
    shave6.LASERSCAN_5_3,
)

LASERSCAN_5_5: tuple[Path, ...] = (
    shave1.LASERSCAN_5_5,
    shave2.LASERSCAN_5_5,
    shave3.LASERSCAN_5_5,
    shave4.LASERSCAN_5_5,
    shave5.LASERSCAN_5_5,
    shave6.LASERSCAN_5_5,
)

POINTCLOUD: tuple[Path, ...] = (
    shave1.POINTCLOUD,
    shave2.POINTCLOUD,
    shave3.POINTCLOUD,
    shave4.POINTCLOUD,
    shave5.POINTCLOUD,
    shave6.POINTCLOUD,
)

SOBELBLURGRAY_11X11: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_11X11,
    shave2.SOBELBLURGRAY_11X11,
    shave3.SOBELBLURGRAY_11X11,
    shave4.SOBELBLURGRAY_11X11,
    shave5.SOBELBLURGRAY_11X11,
    shave6.SOBELBLURGRAY_11X11,
)

SOBELBLURGRAY_13X13: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_13X13,
    shave2.SOBELBLURGRAY_13X13,
    shave3.SOBELBLURGRAY_13X13,
    shave4.SOBELBLURGRAY_13X13,
    shave5.SOBELBLURGRAY_13X13,
    shave6.SOBELBLURGRAY_13X13,
)

SOBELBLURGRAY_15X15: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_15X15,
    shave2.SOBELBLURGRAY_15X15,
    shave3.SOBELBLURGRAY_15X15,
    shave4.SOBELBLURGRAY_15X15,
    shave5.SOBELBLURGRAY_15X15,
    shave6.SOBELBLURGRAY_15X15,
)

SOBELBLURGRAY_3X3: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_3X3,
    shave2.SOBELBLURGRAY_3X3,
    shave3.SOBELBLURGRAY_3X3,
    shave4.SOBELBLURGRAY_3X3,
    shave5.SOBELBLURGRAY_3X3,
    shave6.SOBELBLURGRAY_3X3,
)

SOBELBLURGRAY_5X5: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_5X5,
    shave2.SOBELBLURGRAY_5X5,
    shave3.SOBELBLURGRAY_5X5,
    shave4.SOBELBLURGRAY_5X5,
    shave5.SOBELBLURGRAY_5X5,
    shave6.SOBELBLURGRAY_5X5,
)

SOBELBLURGRAY_7X7: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_7X7,
    shave2.SOBELBLURGRAY_7X7,
    shave3.SOBELBLURGRAY_7X7,
    shave4.SOBELBLURGRAY_7X7,
    shave5.SOBELBLURGRAY_7X7,
    shave6.SOBELBLURGRAY_7X7,
)

SOBELBLURGRAY_9X9: tuple[Path, ...] = (
    shave1.SOBELBLURGRAY_9X9,
    shave2.SOBELBLURGRAY_9X9,
    shave3.SOBELBLURGRAY_9X9,
    shave4.SOBELBLURGRAY_9X9,
    shave5.SOBELBLURGRAY_9X9,
    shave6.SOBELBLURGRAY_9X9,
)

SOBELBLUR_11X11: tuple[Path, ...] = (
    shave1.SOBELBLUR_11X11,
    shave2.SOBELBLUR_11X11,
    shave3.SOBELBLUR_11X11,
    shave4.SOBELBLUR_11X11,
    shave5.SOBELBLUR_11X11,
    shave6.SOBELBLUR_11X11,
)

SOBELBLUR_13X13: tuple[Path, ...] = (
    shave1.SOBELBLUR_13X13,
    shave2.SOBELBLUR_13X13,
    shave3.SOBELBLUR_13X13,
    shave4.SOBELBLUR_13X13,
    shave5.SOBELBLUR_13X13,
    shave6.SOBELBLUR_13X13,
)

SOBELBLUR_15X15: tuple[Path, ...] = (
    shave1.SOBELBLUR_15X15,
    shave2.SOBELBLUR_15X15,
    shave3.SOBELBLUR_15X15,
    shave4.SOBELBLUR_15X15,
    shave5.SOBELBLUR_15X15,
    shave6.SOBELBLUR_15X15,
)

SOBELBLUR_3X3: tuple[Path, ...] = (
    shave1.SOBELBLUR_3X3,
    shave2.SOBELBLUR_3X3,
    shave3.SOBELBLUR_3X3,
    shave4.SOBELBLUR_3X3,
    shave5.SOBELBLUR_3X3,
    shave6.SOBELBLUR_3X3,
)

SOBELBLUR_5X5: tuple[Path, ...] = (
    shave1.SOBELBLUR_5X5,
    shave2.SOBELBLUR_5X5,
    shave3.SOBELBLUR_5X5,
    shave4.SOBELBLUR_5X5,
    shave5.SOBELBLUR_5X5,
    shave6.SOBELBLUR_5X5,
)

SOBELBLUR_7X7: tuple[Path, ...] = (
    shave1.SOBELBLUR_7X7,
    shave2.SOBELBLUR_7X7,
    shave3.SOBELBLUR_7X7,
    shave4.SOBELBLUR_7X7,
    shave5.SOBELBLUR_7X7,
    shave6.SOBELBLUR_7X7,
)

SOBELBLUR_9X9: tuple[Path, ...] = (
    shave1.SOBELBLUR_9X9,
    shave2.SOBELBLUR_9X9,
    shave3.SOBELBLUR_9X9,
    shave4.SOBELBLUR_9X9,
    shave5.SOBELBLUR_9X9,
    shave6.SOBELBLUR_9X9,
)

SOBELGRAY: tuple[Path, ...] = (
    shave1.SOBELGRAY,
    shave2.SOBELGRAY,
    shave3.SOBELGRAY,
    shave4.SOBELGRAY,
    shave5.SOBELGRAY,
    shave6.SOBELGRAY,
)

SOBEL: tuple[Path, ...] = (
    shave1.SOBEL,
    shave2.SOBEL,
    shave3.SOBEL,
    shave4.SOBEL,
    shave5.SOBEL,
    shave6.SOBEL,
)

ALL_MODELS: list[tuple[Path, ...]] = [
    GFTTBLURGRAY_11X11,
    GFTTBLURGRAY_13X13,
    GFTTBLURGRAY_15X15,
    GFTTBLURGRAY_3X3,
    GFTTBLURGRAY_5X5,
    GFTTBLURGRAY_7X7,
    GFTTBLURGRAY_9X9,
    GFTTBLUR_11X11,
    GFTTBLUR_13X13,
    GFTTBLUR_15X15,
    GFTTBLUR_3X3,
    GFTTBLUR_5X5,
    GFTTBLUR_7X7,
    GFTTBLUR_9X9,
    GFTTGRAY,
    GFTT,
    GAUSSIANGRAY_11X11,
    GAUSSIANGRAY_13X13,
    GAUSSIANGRAY_15X15,
    GAUSSIANGRAY_3X3,
    GAUSSIANGRAY_5X5,
    GAUSSIANGRAY_7X7,
    GAUSSIANGRAY_9X9,
    GAUSSIAN_11X11,
    GAUSSIAN_13X13,
    GAUSSIAN_15X15,
    GAUSSIAN_3X3,
    GAUSSIAN_5X5,
    GAUSSIAN_7X7,
    GAUSSIAN_9X9,
    HARRISBLURGRAY_11X11,
    HARRISBLURGRAY_13X13,
    HARRISBLURGRAY_15X15,
    HARRISBLURGRAY_3X3,
    HARRISBLURGRAY_5X5,
    HARRISBLURGRAY_7X7,
    HARRISBLURGRAY_9X9,
    HARRISBLUR_11X11,
    HARRISBLUR_13X13,
    HARRISBLUR_15X15,
    HARRISBLUR_3X3,
    HARRISBLUR_5X5,
    HARRISBLUR_7X7,
    HARRISBLUR_9X9,
    HARRISGRAY,
    HARRIS,
    HESSIANBLURGRAY_11X11,
    HESSIANBLURGRAY_13X13,
    HESSIANBLURGRAY_15X15,
    HESSIANBLURGRAY_3X3,
    HESSIANBLURGRAY_5X5,
    HESSIANBLURGRAY_7X7,
    HESSIANBLURGRAY_9X9,
    HESSIANBLUR_11X11,
    HESSIANBLUR_13X13,
    HESSIANBLUR_15X15,
    HESSIANBLUR_3X3,
    HESSIANBLUR_5X5,
    HESSIANBLUR_7X7,
    HESSIANBLUR_9X9,
    HESSIANGRAY,
    HESSIAN,
    LAPLACIANBLURGRAY_11X11_11X11,
    LAPLACIANBLURGRAY_11X11_13X13,
    LAPLACIANBLURGRAY_11X11_15X15,
    LAPLACIANBLURGRAY_11X11_3X3,
    LAPLACIANBLURGRAY_11X11_5X5,
    LAPLACIANBLURGRAY_11X11_7X7,
    LAPLACIANBLURGRAY_11X11_9X9,
    LAPLACIANBLURGRAY_13X13_11X11,
    LAPLACIANBLURGRAY_13X13_13X13,
    LAPLACIANBLURGRAY_13X13_15X15,
    LAPLACIANBLURGRAY_13X13_3X3,
    LAPLACIANBLURGRAY_13X13_5X5,
    LAPLACIANBLURGRAY_13X13_7X7,
    LAPLACIANBLURGRAY_13X13_9X9,
    LAPLACIANBLURGRAY_15X15_11X11,
    LAPLACIANBLURGRAY_15X15_13X13,
    LAPLACIANBLURGRAY_15X15_15X15,
    LAPLACIANBLURGRAY_15X15_3X3,
    LAPLACIANBLURGRAY_15X15_5X5,
    LAPLACIANBLURGRAY_15X15_7X7,
    LAPLACIANBLURGRAY_15X15_9X9,
    LAPLACIANBLURGRAY_3X3_11X11,
    LAPLACIANBLURGRAY_3X3_13X13,
    LAPLACIANBLURGRAY_3X3_15X15,
    LAPLACIANBLURGRAY_3X3_3X3,
    LAPLACIANBLURGRAY_3X3_5X5,
    LAPLACIANBLURGRAY_3X3_7X7,
    LAPLACIANBLURGRAY_3X3_9X9,
    LAPLACIANBLURGRAY_5X5_11X11,
    LAPLACIANBLURGRAY_5X5_13X13,
    LAPLACIANBLURGRAY_5X5_15X15,
    LAPLACIANBLURGRAY_5X5_3X3,
    LAPLACIANBLURGRAY_5X5_5X5,
    LAPLACIANBLURGRAY_5X5_7X7,
    LAPLACIANBLURGRAY_5X5_9X9,
    LAPLACIANBLURGRAY_7X7_11X11,
    LAPLACIANBLURGRAY_7X7_13X13,
    LAPLACIANBLURGRAY_7X7_15X15,
    LAPLACIANBLURGRAY_7X7_3X3,
    LAPLACIANBLURGRAY_7X7_5X5,
    LAPLACIANBLURGRAY_7X7_7X7,
    LAPLACIANBLURGRAY_7X7_9X9,
    LAPLACIANBLURGRAY_9X9_11X11,
    LAPLACIANBLURGRAY_9X9_13X13,
    LAPLACIANBLURGRAY_9X9_15X15,
    LAPLACIANBLURGRAY_9X9_3X3,
    LAPLACIANBLURGRAY_9X9_5X5,
    LAPLACIANBLURGRAY_9X9_7X7,
    LAPLACIANBLURGRAY_9X9_9X9,
    LAPLACIANBLUR_11X11_11X11,
    LAPLACIANBLUR_11X11_13X13,
    LAPLACIANBLUR_11X11_15X15,
    LAPLACIANBLUR_11X11_3X3,
    LAPLACIANBLUR_11X11_5X5,
    LAPLACIANBLUR_11X11_7X7,
    LAPLACIANBLUR_11X11_9X9,
    LAPLACIANBLUR_13X13_11X11,
    LAPLACIANBLUR_13X13_13X13,
    LAPLACIANBLUR_13X13_15X15,
    LAPLACIANBLUR_13X13_3X3,
    LAPLACIANBLUR_13X13_5X5,
    LAPLACIANBLUR_13X13_7X7,
    LAPLACIANBLUR_13X13_9X9,
    LAPLACIANBLUR_15X15_11X11,
    LAPLACIANBLUR_15X15_13X13,
    LAPLACIANBLUR_15X15_15X15,
    LAPLACIANBLUR_15X15_3X3,
    LAPLACIANBLUR_15X15_5X5,
    LAPLACIANBLUR_15X15_7X7,
    LAPLACIANBLUR_15X15_9X9,
    LAPLACIANBLUR_3X3_11X11,
    LAPLACIANBLUR_3X3_13X13,
    LAPLACIANBLUR_3X3_15X15,
    LAPLACIANBLUR_3X3_3X3,
    LAPLACIANBLUR_3X3_5X5,
    LAPLACIANBLUR_3X3_7X7,
    LAPLACIANBLUR_3X3_9X9,
    LAPLACIANBLUR_5X5_11X11,
    LAPLACIANBLUR_5X5_13X13,
    LAPLACIANBLUR_5X5_15X15,
    LAPLACIANBLUR_5X5_3X3,
    LAPLACIANBLUR_5X5_5X5,
    LAPLACIANBLUR_5X5_7X7,
    LAPLACIANBLUR_5X5_9X9,
    LAPLACIANBLUR_7X7_11X11,
    LAPLACIANBLUR_7X7_13X13,
    LAPLACIANBLUR_7X7_15X15,
    LAPLACIANBLUR_7X7_3X3,
    LAPLACIANBLUR_7X7_5X5,
    LAPLACIANBLUR_7X7_7X7,
    LAPLACIANBLUR_7X7_9X9,
    LAPLACIANBLUR_9X9_11X11,
    LAPLACIANBLUR_9X9_13X13,
    LAPLACIANBLUR_9X9_15X15,
    LAPLACIANBLUR_9X9_3X3,
    LAPLACIANBLUR_9X9_5X5,
    LAPLACIANBLUR_9X9_7X7,
    LAPLACIANBLUR_9X9_9X9,
    LAPLACIANGRAY_11X11,
    LAPLACIANGRAY_13X13,
    LAPLACIANGRAY_15X15,
    LAPLACIANGRAY_3X3,
    LAPLACIANGRAY_5X5,
    LAPLACIANGRAY_7X7,
    LAPLACIANGRAY_9X9,
    LAPLACIAN_11X11,
    LAPLACIAN_13X13,
    LAPLACIAN_15X15,
    LAPLACIAN_3X3,
    LAPLACIAN_5X5,
    LAPLACIAN_7X7,
    LAPLACIAN_9X9,
    LASERSCAN_10_1,
    LASERSCAN_10_3,
    LASERSCAN_10_5,
    LASERSCAN_20_1,
    LASERSCAN_20_3,
    LASERSCAN_20_5,
    LASERSCAN_5_1,
    LASERSCAN_5_3,
    LASERSCAN_5_5,
    POINTCLOUD,
    SOBELBLURGRAY_11X11,
    SOBELBLURGRAY_13X13,
    SOBELBLURGRAY_15X15,
    SOBELBLURGRAY_3X3,
    SOBELBLURGRAY_5X5,
    SOBELBLURGRAY_7X7,
    SOBELBLURGRAY_9X9,
    SOBELBLUR_11X11,
    SOBELBLUR_13X13,
    SOBELBLUR_15X15,
    SOBELBLUR_3X3,
    SOBELBLUR_5X5,
    SOBELBLUR_7X7,
    SOBELBLUR_9X9,
    SOBELGRAY,
    SOBEL,
]
